package geoservice.kmlwriter;

import java.util.Iterator;
import java.util.LinkedList;

public class Document {
	private LinkedList<Placemark> placemarks = null;

	public Document() {
		//.
	}
	
	public String build() {
		StringBuilder sb = new StringBuilder();

		sb.append("<?xml version=\"1.0\" encoding=\"utf-8\"?>\n");
		sb.append("<kml xmlns=\"http://www.opengis.net/kml/2.2\">\n");
		sb.append("<Document>\n");

		if(placemarks != null) {
			Iterator<Placemark> iter = placemarks.iterator();
			while(iter.hasNext()) {
				Placemark placemark = iter.next();
				sb.append(placemark.build());
			}					
		}

		sb.append("</Document>\n");
		sb.append("</kml>");
		
		return sb.toString();
	}
	
	public void addPlacemark(Placemark placemark) {
		if(placemarks == null) {
			placemarks = new LinkedList<Placemark>();
		}
		
		placemarks.add(placemark);
	}
}