package geoservice.kmlwriter;

import java.util.Iterator;
import java.util.LinkedList;

public class LineString implements IGeometry {
	private LinkedList<Coordinate> coordinates = null;
	
	public LineString(LinkedList<Coordinate> coordinates) {
		this.coordinates = coordinates;
	}
	
	@Override
	public String build() {
		StringBuilder sb = new StringBuilder();

		sb.append("\t\t<LineString>\n");
		sb.append("\t\t\t<coordinates>\n");

		Iterator<Coordinate> iter = coordinates.iterator();
		while(iter.hasNext()) {
			Coordinate coord = iter.next();
			sb.append("\t\t\t\t");
			sb.append(coord.longitude);
			sb.append(",");
			sb.append(coord.latitude);	
			sb.append("\n");
		}		

		sb.append("\t\t\t</coordinates>\n");
		sb.append("\t\t</LineString>\n");
		
		return sb.toString();
	}
}
