package geoservice.kmlwriter;

import java.util.Iterator;
import java.util.LinkedList;

public class LinearRing {
	private boolean bOuterBoundary = true;
	private LinkedList<Coordinate> coordinates = null;
	
	public LinearRing(LinkedList<Coordinate> coordinates, boolean bOuterBoundary) {
		this.coordinates = coordinates;
		this.bOuterBoundary = bOuterBoundary;
	}

	public String build() {
		StringBuilder sb = new StringBuilder();

		if(bOuterBoundary) {
			sb.append("\t\t<outerBoundaryIs>\n");
		} else {
			sb.append("\t\t<innerBoundaryIs>\n");
		}

		sb.append("\t\t\t<LinearRing>\n");
		sb.append("\t\t\t\t<coordinates>\n");

		Iterator<Coordinate> iter = coordinates.iterator();
		while(iter.hasNext()) {
			Coordinate coord = iter.next();
			sb.append("\t\t\t\t\t");
			sb.append(coord.longitude);
			sb.append(",");
			sb.append(coord.latitude);
			sb.append("\n");
		}		

		sb.append("\t\t\t\t</coordinates>\n");
		sb.append("\t\t\t</LinearRing>\n");
		
		if(bOuterBoundary) {
			sb.append("\t\t</outerBoundaryIs>\n");
		} else {
			sb.append("\t\t</innerBoundaryIs>\n");
		}
		
		return sb.toString();
	}
}
