package geoservice.kmlwriter;

import java.util.Iterator;
import java.util.LinkedList;

public class Polygon implements IGeometry {
	private LinkedList<LinearRing> linearRings = null;
	
	public Polygon(LinkedList<LinearRing> linearRings) {
		this.linearRings = linearRings;
	}
	
	@Override
	public String build() {
		StringBuilder sb = new StringBuilder();

		sb.append("\t\t<Polygon>\n");

		Iterator<LinearRing> iter = linearRings.iterator();
		while(iter.hasNext()) {
			LinearRing linearRing = iter.next();
			sb.append(linearRing.build());
		}		

		sb.append("\t\t</Polygon>\n");
		
		return sb.toString();
	}

}
